%define upstream_name URI-Query
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Class providing URI query string manipulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
URI::Query provides simple URI query string manipulation, allowing you
to create and manipulate URI query strings from GET and POST requests in
web applications. This is primarily useful for creating links where you 
wish to preserve some subset of the parameters to the current request,
and potentially add or replace others. Given a query string this is 
doable with regexes, of course, but making sure you get the anchoring 
and escaping right is tedious and error-prone - using this module is 
much simpler.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc ChangeLog LICENSE META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.150.0-3pclos2017
- rebuild against updates

